# SOZO Magento 2 Capistrano Change Log

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

Given a version number MAJOR.MINOR.PATCH, increment the:

* MAJOR version when you make incompatible API changes,
* MINOR version when you add functionality in a backwards-compatible manner, and
* PATCH version when you make backwards-compatible bug fixes.

##### Types of changes
* [Added] for new features.
* [Changed] for changes in existing functionality.
* [Deprecated] for soon-to-be removed features.
* [Removed] for now removed features.
* [Fixed] for any bug fixes.
* [Security] in case of vulnerabilities.

## [Unreleased]


## [v1.4.0] - 2021-08-03
### Added
- New `deploy:check` info output with key information displayed.
- Magento Cron control now included in the deployment methods with `:handle_cron` option (default false).
- New check `sozo:git:check` to see if the branch exists in the repository before deployment begins.
- Documented code with Yardoc

### Changed
- Delay added (3 seconds) before trying to delete a failed deployment to allow file or disk activity to finish.
- Added sudo to failed deployments release deleting.
- Changed maintenance mode path to use the `deploy_root` location from `current_path`
- Checked all boolean values against string "true" or "false" using .to_s == 'true'


## [v1.3.1] - 2021-07-29
### Changed
- Changed ENV options for WordPress plugins and themes removal.
- Multi-PHP support via ability to pass PHP version via the command map.


## [v1.3.0] - 2021-05-14
### Added
- New task to check for ece-patches file `.magento.env.yaml` and to apply if it finds one.


## [v1.2.1] - 2021-05-06
### Fixed
- WordPress backup not respecting the :wp_backup false option
- Erroneous symlink created inside release directories
- Added simple text output in Slack message


## [v1.2.0] - 2021-03-25
### Added
- New variable `clear_failures` for future use.
- New Slack class to control the message template.

### Changed
- Updated Slack messaging to newer version to future proof.
- Current directory fix now updates MAGE_ROOT as well.
- Standardised tasks order based on key capistrano core tasks.

### Removed
- Removed dotenv from the gem.

### Fixed
- Fix issue when there were less than CAP_KEEP_BACKUPS available.


## [v1.1.0] - 2021-02-24
### Added
- Added defaults for the :wp_backup, :keep_backups and :slack_channel instead of using ENV's
- Added BUILD.md for reminders on how to build and publish the gem.

### Changed
- Magento and WordPress backup's now in their own commands and invoked from the main call.
- Staging role now doesn't install composer dev requirements.

### Removed
- ENV references cleaned out and updated in the Companion Composer plugin.

### Fixed
- Confirm command now using correct symbols to display against roles.


## [v1.0.1] - 2021-02-20
### Added
- CHANGELOG.md
- License text
- Gem version badge to README.md

### Fixed
- Documentation references to the gem.


### [v1.0.0] - 2021-02-20
- Initial release